All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::detail::aux Struct Referenceabstract

Interface for the reference counter inside the shared_ptr. More...

`#include <shared_ptr.hpp>`

Inheritance diagram for viennacl::tools::detail::aux:

## Public Member Functions

| aux ()
virtual void | destroy ()=0
virtual | ~aux ()

## Public Attributes

detail::count | count

## Detailed Description

Interface for the reference counter inside the shared_ptr.

Definition at line 52 of file shared_ptr.hpp.

## Constructor & Destructor Documentation

viennacl::tools::detail::aux::aux | ( |  | ) |

inline

Definition at line 56 of file shared_ptr.hpp.

virtual viennacl::tools::detail::aux::~aux | ( |  | ) |

inline virtual

Definition at line 58 of file shared_ptr.hpp.

## Member Function Documentation

virtual void viennacl::tools::detail::aux::destroy | ( |  | ) |

pure virtual

Implemented in viennacl::tools::detail::auximpl< U, Deleter >.

## Member Data Documentation

detail::count viennacl::tools::detail::aux::count

Definition at line 54 of file shared_ptr.hpp.

The documentation for this struct was generated from the following file:

- viennacl/tools/shared_ptr.hpp